$max: 50;
$offset: 5;
$unit: 'px';

@mixin list-loop($className, $styleName) {
    $i: 0;
 
    @while $i <= $max {
        #{$className + $i} { 
            #{$styleName}: #{$i + $unit};
        }
        $i: $i + $offset;
    }
}

@include list-loop('.m-t-', 'margin-top');
@include list-loop('.m-b-', 'margin-bottom');